MODULE TestAlloc;
  IMPORT Main, Out, Storage;

  TYPE
    P = POINTER TO Pdesc;
    Pdesc = RECORD i: INTEGER END;

  VAR
    p: P;

PROCEDURE Show(label: ARRAY OF CHAR; i: INTEGER);
BEGIN
  Out.String(label);
  Out.Hex(i, 0); Out.Ln;
END Show;

BEGIN
(*  NEW(p);
  p.i := 13;
  Out.Int(p.i, 0); Out.Ln; *)
  Show("HeapStart:      ", Storage.HeapStart());
  Show("HeapPtr:        ", Storage.HeapPtr());
  Show("HeapUsed:       ", Storage.HeapUsed());
  Show("HeapAvailable:  ", Storage.HeapAvailable());
  Show("StackStart:     ", Storage.StackStart());
  Show("StackPtr:       ", Storage.StackPtr());
  Show("StackUsed:      ", Storage.StackUsed());
  Show("StackAvailable: ", Storage.StackAvailable());
END TestAlloc.
